{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "Biomarkers not found: 99999"}
Aggiungi uno o più biomarcatori singoli a un appuntamento come test à la carte, al di fuori di qualsiasi
pannello predefinito. Le decisioni di instradamento vengono prese a valle dalla pipeline di logistica degli ordini in base
alle mappature per laboratorio di ciascun biomarcatore.Il set risultante viene convalidato in modo sincrono rispetto alle regole di chiusura di ciascun laboratorio. Alcuni biomarcatori
possono essere ottenuti solo ordinandoli insieme ad altri — un rapporto LDL/HDL, per esempio, viene
fornito da un ordine che restituisce anche LDL e HDL, quindi richiedere il rapporto da solo non è un
ordine coerente. (Questi stessi componenti determinano il prezzo del rapporto — vedi il dettaglio pricing
in Elenco biomarcatori.) Quando il set non può essere ordinato
in modo valido, la chiamata restituisce 400 con un payload validation e non viene salvato nulla, così puoi
procedere per tentativi fino a ottenere un set valido:
Lo stesso ciclo riguarda i biomarcatori che Aniva vende solo all’interno di una posizione: richiedine uno da solo e la chiamata
restituisce 400 con error: "biomarker_requires_position" e le posizioni che lo vendono. Vedi
Prezzi.Elenco biomarcatori riporta alcuni biomarcatori con price_cents: null.
Questi biomarcatori sono non configurati: Aniva non ha definito un prezzo per loro. Se ne aggiungi uno, la chiamata restituisce
400 con error: "biomarker_not_priced". Nessun altro biomarcatore risolve questo errore, perché null
significa che non hai un prezzo a cui acquistare il marcatore. I marcatori dei kit fanno eccezione. Collega il pannello
che rappresenta il kit e i suoi elementi vengono inclusi nel pannello. La chiamata accetta anche un elemento che aggiungi a
un appuntamento che include già quel pannello.In un prelievo capillare (draw_method: capillary), il prelievo viene suddiviso in microtainer. I pannelli vanno per primi, in
ordine di prenotazione. I biomarcatori singoli riempiono poi lo spazio libero dei microtainer dei pannelli. Quando
hanno bisogno di più spazio, aprono nuovi microtainer. Li distribuiamo in modo uniforme. Ogni microtainer contiene al massimo
150 µl di biomarcatori singoli. Un biomarcatore che richiede più di 150 µl in un proprio microtainer non
entra mai, e lo stesso vale per un biomarcatore senza un volume configurato. Se il set risultante viola questa regola,
la chiamata restituisce 400 con un messaggio error e non viene salvato nulla.Questa chiamata è idempotente: i biomarcatori già presenti nell’appuntamento vengono mantenuti.Richiede gli scope appointments_schedule e schedule_appointments_with_individual_biomarker_selection.
Non è possibile aggiungere biomarcatori dopo aver chiamato Conferma prelievo di
sangue. Il tentativo di modificare un appuntamento confermato restituisce
409 Conflict.
Richiesta
Parametri di percorso
string
obbligatorio
Identificatore univoco (UUID) dell’appuntamento.
Parametri del body
number[]
obbligatorio
Array di ID dei biomarcatori da aggiungere. Deve contenere almeno un elemento. Usa Elenco
biomarcatori per trovare gli ID.
Risposta
In caso di successo, l’API restituisce 200 OK a conferma che i biomarcatori sono stati aggiunti.
boolean
true quando i biomarcatori sono stati aggiunti correttamente all’appuntamento.
Come leggere un 400
Ogni 400 di validazione della chiusura o di catalogo contiene una frase in message. Un 400 di validazione del body o
dei microtainer contiene solo error. Dirama la logica su error. In caso di
errore di validazione della chiusura, error è una frase. In caso di errore di catalogo, error è un codice macchina:
biomarker_not_priced o biomarker_requires_position.Validazione della chiusura — il set non può essere ordinato in modo valido presso alcun laboratorio:
validation.failures[] — presente solo negli errori di validazione della chiusura (assente nei semplici
errori di validazione del body). Una voce per ogni gruppo di biomarcatori che nessun laboratorio può gestire, con i
biomarker_ids non validi e fix_options[], a partire dall’opzione più piccola. Il campo
add_biomarkers ({ id, name }) di ogni opzione è un set da aggiungere TUTTO — mantieni quelli originali, aggiungi questi e
riprova. Un fix_options vuoto significa che nessuna aggiunta risolve il problema; rimuovi invece il biomarcatore.
Biomarcatore senza prezzo — Aniva non ha definito un prezzo per questo biomarcatore. Elenco
biomarcatori lo riporta con price_cents: null, oppure lo omette quando
è un rapporto con un componente senza prezzo. error è biomarker_not_priced e biomarker_id indica
il marcatore. Nessun altro biomarcatore risolve questo errore, quindi rimuovi il biomarcatore. Due condizioni rendono un
biomarcatore ordinabile: un laboratorio a cui Aniva può instradare l’ordine deve fornirlo e il catalogo Aniva deve definirne il
prezzo.Biomarcatore vincolato — un biomarcatore venduto solo all’interno di una posizione, senza una posizione che lo copra nel
set. error è biomarker_requires_position, biomarker_id indica il marcatore e positions[]
elenca tutte le posizioni che lo vendono, dalla più economica. Aggiungi tutti i biomarcatori di una di esse. Vedi
Prezzi per il modello e pricing.positions in Ottieni
biomarcatore per l’intero set di elementi di una posizione.
Risposte di errore
Stato
Descrizione
400
biomarker_ids vuoto / non intero, il set non supera la validazione della chiusura (validation.failures), aggiunge un biomarcatore per cui Aniva non ha definito un prezzo (error: "biomarker_not_priced"), contiene un biomarcatore vincolato non coperto da alcuna posizione nel set (error: "biomarker_requires_position"), oppure, in un prelievo capillare, i biomarcatori non entrano nei rispettivi microtainer.
403
Forbidden — scope mancante o appuntamento al di fuori del contesto di accesso.
404
Appuntamento o uno o più biomarcatori non trovati.
409
Conflict — non è possibile modificare i biomarcatori dopo la conferma del prelievo di sangue.
{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "Biomarkers not found: 99999"}
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Aniva API","description":"REST API for lab testing in Germany and the EU: book blood draws at pharmacies and practices, ship home test kits, and get lab results.","colors":{"primary":"#e76c2b","light":"#e76c2b","dark":"#e76c2b"},"logo":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd"},"favicon":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b"},"api":{"openapi":"https://anivahealth.com/api/v1/openapi.json","mdx":{"auth":{"method":"key","name":"x-api-key"}}},"navbar":{"links":[{"href":"/changelog","label":"Changelog"},{"href":"/status","label":"Status"}]},"footer":{"links":[{"items":[{"label":"Aniva Diagnostics","href":"https://anivahealth.com/diagnostics"},{"label":"hello@anivahealth.com","href":"mailto:hello@anivahealth.com"}]}]},"seo":{"metatags":{"og:locale":"en_US","og:site_name":"Aniva Partner API","keywords":"blood test API, lab testing API, home test kit API, lab results API, biomarker API, pharmacy blood test, Germany, EU"},"indexing":"navigable"},"fonts":{"heading":{"family":"Switzer","weight":600,"source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"},"body":{"family":"Switzer","source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"}},"styling":{"latex":false},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"navigation":{"languages":[{"language":"en","href":""},{"language":"de","navbar":{"links":[{"href":"/de/changelog","label":"Changelog"},{"href":"/de/status","label":"Status"}]},"href":"de"},{"language":"ca","navbar":{"links":[{"href":"/ca/changelog","label":"Registre de canvis"},{"href":"/ca/status","label":"Estat"}]},"href":"ca"},{"language":"cs","navbar":{"links":[{"href":"/cs/changelog","label":"Seznam změn"},{"href":"/cs/status","label":"Stav"}]},"href":"cs"},{"language":"da","navbar":{"links":[{"href":"/da/changelog","label":"Ændringslog"},{"href":"/da/status","label":"Status"}]},"href":"da"},{"language":"es","navbar":{"links":[{"href":"/es/changelog","label":"Registro de cambios"},{"href":"/es/status","label":"Estado"}]},"href":"es"},{"language":"fi","navbar":{"links":[{"href":"/fi/changelog","label":"Muutosloki"},{"href":"/fi/status","label":"Tila"}]},"href":"fi"},{"language":"fr","navbar":{"links":[{"href":"/fr/changelog","label":"Journal des modifications"},{"href":"/fr/status","label":"Statut"}]},"href":"fr"},{"language":"hu","navbar":{"links":[{"href":"/hu/changelog","label":"Változásnapló"},{"href":"/hu/status","label":"Állapot"}]},"href":"hu"},{"language":"it","navbar":{"links":[{"href":"/it/changelog","label":"Changelog"},{"href":"/it/status","label":"Stato"}]},"href":"it"},{"language":"lv","navbar":{"links":[{"href":"/lv/changelog","label":"Izmaiņu žurnāls"},{"href":"/lv/status","label":"Statuss"}]},"href":"lv"},{"language":"nl","navbar":{"links":[{"href":"/nl/changelog","label":"Changelog"},{"href":"/nl/status","label":"Status"}]},"href":"nl"},{"language":"no","navbar":{"links":[{"href":"/no/changelog","label":"Endringslogg"},{"href":"/no/status","label":"Status"}]},"href":"no"},{"language":"pl","navbar":{"links":[{"href":"/pl/changelog","label":"Dziennik zmian"},{"href":"/pl/status","label":"Status"}]},"href":"pl"},{"language":"pt","navbar":{"links":[{"href":"/pt/changelog","label":"Registo de alterações"},{"href":"/pt/status","label":"Estado"}]},"href":"pt"},{"language":"ro","navbar":{"links":[{"href":"/ro/changelog","label":"Jurnal de modificări"},{"href":"/ro/status","label":"Stare"}]},"href":"ro"},{"language":"ru","navbar":{"links":[{"href":"/ru/changelog","label":"История изменений"},{"href":"/ru/status","label":"Статус"}]},"href":"ru"},{"language":"sv","navbar":{"links":[{"href":"/sv/changelog","label":"Ändringslogg"},{"href":"/sv/status","label":"Status"}]},"href":"sv"},{"language":"tr","navbar":{"links":[{"href":"/tr/changelog","label":"Değişiklik günlüğü"},{"href":"/tr/status","label":"Durum"}]},"href":"tr"},{"language":"uk","navbar":{"links":[{"href":"/uk/changelog","label":"Історія змін"},{"href":"/uk/status","label":"Статус"}]},"href":"uk"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"anivahealth","hasAudioNarration":false,"actualSubdomain":"anivahealth","customDomains":["docs.anivahealth.com"],"gitSource":{"type":"github","owner":"anivahealth","repo":"web","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6b0344de3ca2a55c0067aa73","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"en","tag":"API Reference","count":61},{"language":"ca","tag":"Referència de l'API","count":61},{"language":"cs","tag":"Reference API","count":61},{"language":"da","tag":"API-reference","count":61},{"language":"de","tag":"API-Referenz","count":61},{"language":"es","tag":"Referencia de la API","count":61},{"language":"fi","tag":"API-viite","count":61},{"language":"fr","tag":"Référence API","count":61},{"language":"hu","tag":"API-referencia","count":61},{"language":"it","tag":"Riferimento API","count":61},{"language":"lv","tag":"API uzziņa","count":61},{"language":"nl","tag":"API-referentie","count":61},{"language":"no","tag":"API-referanse","count":61},{"language":"pl","tag":"Dokumentacja API","count":61},{"language":"pt","tag":"Referência da API","count":61},{"language":"ro","tag":"Referință API","count":61},{"language":"ru","tag":"Справочник API","count":61},{"language":"sv","tag":"API-referens","count":61},{"language":"tr","tag":"API referansı","count":61},{"language":"uk","tag":"Довідник API","count":61},{"language":"en","tag":"Documentation","count":18},{"language":"ca","tag":"Documentació","count":18},{"language":"cs","tag":"Dokumentace","count":18},{"language":"da","tag":"Dokumentation","count":18},{"language":"de","tag":"Dokumentation","count":18},{"language":"es","tag":"Documentación","count":18},{"language":"fi","tag":"Dokumentaatio","count":18},{"language":"fr","tag":"Documentation","count":18},{"language":"hu","tag":"Dokumentáció","count":18},{"language":"it","tag":"Documentazione","count":18},{"language":"lv","tag":"Dokumentācija","count":18},{"language":"nl","tag":"Documentatie","count":18},{"language":"no","tag":"Dokumentasjon","count":18},{"language":"pl","tag":"Dokumentacja","count":18},{"language":"pt","tag":"Documentação","count":18},{"language":"ro","tag":"Documentație","count":18},{"language":"ru","tag":"Документация","count":18},{"language":"sv","tag":"Dokumentation","count":18},{"language":"tr","tag":"Dokümantasyon","count":18},{"language":"uk","tag":"Документація","count":18},{"language":"en","tag":"Appointments","count":13},{"language":"ca","tag":"Cites","count":13},{"language":"cs","tag":"Termíny","count":13},{"language":"da","tag":"Tider","count":13},{"language":"de","tag":"Termine","count":13},{"language":"es","tag":"Citas","count":13},{"language":"fi","tag":"Ajanvaraukset","count":13},{"language":"fr","tag":"Rendez-vous","count":13},{"language":"hu","tag":"Időpontok","count":13},{"language":"it","tag":"Appuntamenti","count":13},{"language":"lv","tag":"Pieraksti","count":13},{"language":"nl","tag":"Afspraken","count":13},{"language":"no","tag":"Timer","count":13},{"language":"pl","tag":"Wizyty","count":13},{"language":"pt","tag":"Marcações","count":13},{"language":"ro","tag":"Programări","count":13},{"language":"ru","tag":"Записи","count":13},{"language":"sv","tag":"Bokningar","count":13},{"language":"tr","tag":"Randevular","count":13},{"language":"uk","tag":"Записи","count":13},{"language":"en","tag":"Home Kit Orders","count":10},{"language":"ca","tag":"Comandes de kits de prova a casa","count":10},{"language":"cs","tag":"Objednávky domácích testovacích sad","count":10},{"language":"da","tag":"Ordrer på hjemmetestkit","count":10},{"language":"de","tag":"Heimtest-Kit-Bestellungen","count":10},{"language":"es","tag":"Pedidos de kits de prueba en casa","count":10},{"language":"fi","tag":"Kotitestipakkausten tilaukset","count":10},{"language":"fr","tag":"Commandes de kits à domicile","count":10},{"language":"hu","tag":"Otthoni tesztkészlet-rendelések","count":10},{"language":"it","tag":"Ordini di kit domiciliari","count":10},{"language":"lv","tag":"Mājas testa komplektu pasūtījumi","count":10},{"language":"nl","tag":"Thuistestkitbestellingen","count":10},{"language":"no","tag":"Bestillinger av hjemmetestsett","count":10},{"language":"pl","tag":"Zamówienia domowych zestawów testowych","count":10},{"language":"pt","tag":"Encomendas de kits de teste em casa","count":10},{"language":"ro","tag":"Comenzi de kituri de testare la domiciliu","count":10},{"language":"ru","tag":"Заказы наборов для домашнего теста","count":10},{"language":"sv","tag":"Beställningar av hemtestkit","count":10},{"language":"tr","tag":"Evde test kiti siparişleri","count":10},{"language":"uk","tag":"Замовлення наборів для домашнього тесту","count":10},{"language":"en","tag":"Webhooks","count":9},{"language":"en","tag":"Core Concepts","count":9},{"language":"ca","tag":"Webhooks","count":9},{"language":"ca","tag":"Conceptes clau","count":9},{"language":"cs","tag":"Webhooky","count":9},{"language":"cs","tag":"Základní koncepty","count":9},{"language":"da","tag":"Webhooks","count":9},{"language":"da","tag":"Kernebegreber","count":9},{"language":"de","tag":"Webhooks","count":9},{"language":"de","tag":"Grundkonzepte","count":9},{"language":"es","tag":"Webhooks","count":9},{"language":"es","tag":"Conceptos clave","count":9},{"language":"fi","tag":"Webhookit","count":9},{"language":"fi","tag":"Peruskäsitteet","count":9},{"language":"fr","tag":"Webhooks","count":9},{"language":"fr","tag":"Concepts clés","count":9},{"language":"hu","tag":"Webhookok","count":9},{"language":"hu","tag":"Alapfogalmak","count":9},{"language":"it","tag":"Webhook","count":9},{"language":"it","tag":"Concetti di base","count":9},{"language":"lv","tag":"Tīmekļa aizķeres","count":9},{"language":"lv","tag":"Pamatjēdzieni","count":9},{"language":"nl","tag":"Webhooks","count":9},{"language":"nl","tag":"Kernconcepten","count":9},{"language":"no","tag":"Webhooks","count":9},{"language":"no","tag":"Kjernekonsepter","count":9},{"language":"pl","tag":"Webhooki","count":9},{"language":"pl","tag":"Podstawowe pojęcia","count":9},{"language":"pt","tag":"Webhooks","count":9},{"language":"pt","tag":"Conceitos principais","count":9},{"language":"ro","tag":"Webhook-uri","count":9},{"language":"ro","tag":"Concepte de bază","count":9},{"language":"ru","tag":"Вебхуки","count":9},{"language":"ru","tag":"Основные понятия","count":9},{"language":"sv","tag":"Webhooks","count":9},{"language":"sv","tag":"Grundkoncept","count":9},{"language":"tr","tag":"Webhook'lar","count":9},{"language":"tr","tag":"Temel kavramlar","count":9},{"language":"uk","tag":"Вебхуки","count":9},{"language":"uk","tag":"Основні поняття","count":9},{"language":"en","tag":"Shipments","count":8},{"language":"ca","tag":"Enviaments","count":8},{"language":"cs","tag":"Zásilky","count":8},{"language":"da","tag":"Forsendelser","count":8},{"language":"de","tag":"Sendungen","count":8},{"language":"es","tag":"Envíos","count":8},{"language":"fi","tag":"Lähetykset","count":8},{"language":"fr","tag":"Expéditions","count":8},{"language":"hu","tag":"Szállítmányok","count":8},{"language":"it","tag":"Spedizioni","count":8},{"language":"lv","tag":"Sūtījumi","count":8},{"language":"nl","tag":"Zendingen","count":8},{"language":"no","tag":"Forsendelser","count":8},{"language":"pl","tag":"Przesyłki","count":8},{"language":"pt","tag":"Envios","count":8},{"language":"ro","tag":"Expedieri","count":8},{"language":"ru","tag":"Отправления","count":8},{"language":"sv","tag":"Försändelser","count":8},{"language":"tr","tag":"Gönderiler","count":8},{"language":"uk","tag":"Відправлення","count":8},{"language":"en","tag":"Get Started","count":6},{"language":"ca","tag":"Primers passos","count":6},{"language":"cs","tag":"Začínáme","count":6},{"language":"da","tag":"Kom i gang","count":6},{"language":"de","tag":"Erste Schritte","count":6},{"language":"es","tag":"Primeros pasos","count":6},{"language":"fi","tag":"Aloitus","count":6},{"language":"fr","tag":"Démarrer","count":6},{"language":"hu","tag":"Első lépések","count":6},{"language":"it","tag":"Per iniziare","count":6},{"language":"lv","tag":"Sākt darbu","count":6},{"language":"nl","tag":"Aan de slag","count":6},{"language":"no","tag":"Kom i gang","count":6},{"language":"pl","tag":"Pierwsze kroki","count":6},{"language":"pt","tag":"Começar","count":6},{"language":"ro","tag":"Primii pași","count":6},{"language":"ru","tag":"Начало работы","count":6},{"language":"sv","tag":"Kom igång","count":6},{"language":"tr","tag":"Başlangıç","count":6},{"language":"uk","tag":"Початок роботи","count":6},{"language":"en","tag":"Locations","count":5},{"language":"en","tag":"Profiles","count":5},{"language":"ca","tag":"Ubicacions","count":5},{"language":"ca","tag":"Perfils","count":5},{"language":"cs","tag":"Lokality","count":5},{"language":"cs","tag":"Profily","count":5},{"language":"da","tag":"Lokationer","count":5},{"language":"da","tag":"Profiler","count":5},{"language":"de","tag":"Standorte","count":5},{"language":"de","tag":"Profile","count":5},{"language":"es","tag":"Ubicaciones","count":5},{"language":"es","tag":"Perfiles","count":5},{"language":"fi","tag":"Toimipisteet","count":5},{"language":"fi","tag":"Profiilit","count":5},{"language":"fr","tag":"Lieux","count":5},{"language":"fr","tag":"Profils","count":5},{"language":"hu","tag":"Helyszínek","count":5},{"language":"hu","tag":"Profilok","count":5},{"language":"it","tag":"Sedi","count":5},{"language":"it","tag":"Profili","count":5},{"language":"lv","tag":"Atrašanās vietas","count":5},{"language":"lv","tag":"Profili","count":5},{"language":"nl","tag":"Locaties","count":5},{"language":"nl","tag":"Profielen","count":5},{"language":"no","tag":"Steder","count":5},{"language":"no","tag":"Profiler","count":5},{"language":"pl","tag":"Lokalizacje","count":5},{"language":"pl","tag":"Profile","count":5},{"language":"pt","tag":"Locais","count":5},{"language":"pt","tag":"Perfis","count":5},{"language":"ro","tag":"Locații","count":5},{"language":"ro","tag":"Profiluri","count":5},{"language":"ru","tag":"Локации","count":5},{"language":"ru","tag":"Профили","count":5},{"language":"sv","tag":"Platser","count":5},{"language":"sv","tag":"Profiler","count":5},{"language":"tr","tag":"Konumlar","count":5},{"language":"tr","tag":"Profiller","count":5},{"language":"uk","tag":"Локації","count":5},{"language":"uk","tag":"Профілі","count":5}],"searchSettings":{"showContentSnippets":true,"maxResults":8}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"[data-component-part=\"update-label\"]{background:transparent;color:rgb(107 114 128);padding-left:0.25rem;padding-right:0;font-weight:400}.dark [data-component-part=\"update-label\"]{color:rgb(156 163 175)}[data-component-part=\"update-tag-list\"]{margin-top:0.25rem;column-gap:0.25rem}[data-component-part=\"update-tag\"]:not(:last-child)::after{content:'·';margin-left:0.25rem}@media (max-width: 1023px){.update-container>div:first-child{flex-direction:row;flex-wrap:wrap;align-items:center;column-gap:0.75rem}.update-container [data-component-part=\"update-tag-list\"]{margin-top:0}}@media (min-width: 640px){[data-component-part=\"update-content\"] img{max-width:85%}}[data-component-part=\"update-content\"] video{cursor:zoom-in}.video-zoom{position:fixed;inset:0;z-index:100;display:flex;align-items:center;justify-content:center;padding:2rem;background:rgb(255 255 255 / 0.9);cursor:zoom-out}.dark .video-zoom{background:rgb(0 0 0 / 0.9)}.video-zoom video{width:100%;max-height:100%;object-fit:contain}.video-zoom-close{position:absolute;top:calc(0.75rem + env(safe-area-inset-top, 0px));right:0.75rem;display:inline-flex;align-items:center;justify-content:center;width:2.25rem;height:2.25rem;border:1px solid rgb(0 0 0 / 0.2);border-radius:9999px;background:rgb(255 255 255 / 0.55);color:rgb(23 23 23);box-shadow:0 0.5px 1px rgb(0 0 0 / 0.12),\n 0 1px 2px rgb(0 0 0 / 0.08),\n inset 0 0.5px 0 rgb(255 255 255 / 0.65);backdrop-filter:blur(40px) saturate(1.5);cursor:pointer}.video-zoom-close:focus{outline:none}.video-zoom-close:focus-visible{outline:2px solid rgb(0 0 0 / 0.25)}.dark .video-zoom-close{border-color:rgb(255 255 255 / 0.25);background:rgb(23 23 23 / 0.45);color:white;box-shadow:0 0 0 0.5px #000,\n 0 0.5px 1px rgb(0 0 0 / 0.45),\n 0 1px 2px rgb(0 0 0 / 0.35),\n inset 0 0.5px 0 rgb(255 255 255 / 0.14)}[data-component-part=\"update-content\"] h2>.absolute{display:none}#content{margin-bottom:2rem}[data-assistant-bar].invisible{display:none}#footer>div{flex-direction:row;flex-wrap:wrap;align-items:center;gap:1rem 2rem;padding-top:5rem;padding-bottom:3rem}#footer>div>div:first-child{flex:1;flex-direction:row;align-items:center;min-height:0}#footer>div>div:first-child>div:last-child{display:flex;justify-content:flex-end}#footer>div>div:first-child>div:last-child>div{align-items:flex-end}#footer>div>div:first-child>div:last-child>div>div{flex-direction:row;gap:1.5rem}#footer>div>div:first-child a{max-width:none}#footer>div>.h-px{display:none}#footer>div>div:last-child{gap:1.5rem}"}]}
{"page":{"pagePath":"it/api/appointments/add-individual-biomarkers","slug":"/it/api/appointments/add-individual-biomarkers","pageMetadata":{"title":"Aggiungi singoli biomarcatori","description":"Aggiungi singoli biomarcatori a un appuntamento","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/it/api/appointments/add-individual-biomarkers"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Aggiungi singoli biomarcatori a un appuntamento\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,ol:`ol`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Heading,ParamField,ResponseField,Table,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Aggiungi uno o più biomarcatori singoli a un appuntamento come test à la carte, al di fuori di qualsiasi\npannello predefinito. Le decisioni di instradamento vengono prese a valle dalla pipeline di logistica degli ordini in base\nalle mappature per laboratorio di ciascun biomarcatore.`}),`\n`,_jsxs(_components.p,{children:[`Il set risultante viene convalidato in modo sincrono rispetto alle regole di chiusura di ciascun laboratorio. Alcuni biomarcatori\npossono essere ottenuti solo ordinandoli insieme ad altri — un rapporto LDL/HDL, per esempio, viene\nfornito da un ordine che restituisce anche LDL e HDL, quindi richiedere il rapporto da solo non è un\nordine coerente. (Questi stessi componenti determinano il `,_jsx(_components.em,{children:`prezzo`}),` del rapporto — vedi il dettaglio `,_jsx(_components.code,{children:`pricing`}),`\nin `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco biomarcatori`}),`.) Quando il set non può essere ordinato\nin modo valido, la chiamata restituisce `,_jsx(_components.code,{children:`400`}),` con un payload `,_jsx(_components.code,{children:`validation`}),` e `,_jsx(_components.strong,{children:`non viene salvato nulla`}),`, così puoi\nprocedere per tentativi fino a ottenere un set valido:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45] }`}),` (solo rapporto LDL/HDL) → `,_jsx(_components.code,{children:`400`}),`;\n`,_jsx(_components.code,{children:`validation.failures[].fix_options[].add_biomarkers`}),` elenca LDL e HDL.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45, 43, 42] }`}),` (rapporto + LDL + HDL) → `,_jsx(_components.code,{children:`200`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Lo stesso ciclo riguarda i biomarcatori che Aniva vende solo all’interno di una posizione: richiedine uno da solo e la chiamata\nrestituisce `,_jsx(_components.code,{children:`400`}),` con `,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),` e le posizioni che lo vendono. Vedi\n`,_jsx(_components.a,{href:`/it/concepts/pricing`,children:`Prezzi`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco biomarcatori`}),` riporta alcuni biomarcatori con `,_jsx(_components.code,{children:`price_cents: null`}),`.\nQuesti biomarcatori sono `,_jsx(_components.strong,{children:`non configurati`}),`: Aniva non ha definito un prezzo per loro. Se ne aggiungi uno, la chiamata restituisce\n`,_jsx(_components.code,{children:`400`}),` con `,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`. Nessun altro biomarcatore risolve questo errore, perché `,_jsx(_components.code,{children:`null`}),`\nsignifica che non hai un prezzo a cui acquistare il marcatore. I marcatori dei kit fanno eccezione. Collega il pannello\nche rappresenta il kit e i suoi elementi vengono inclusi nel pannello. La chiamata accetta anche un elemento che aggiungi a\nun appuntamento che include già quel pannello.`]}),`\n`,_jsxs(_components.p,{children:[`In un prelievo capillare (`,_jsx(_components.code,{children:`draw_method: capillary`}),`), il prelievo viene suddiviso in microtainer. I pannelli vanno per primi, in\nordine di prenotazione. I biomarcatori singoli riempiono poi lo spazio libero dei microtainer dei pannelli. Quando\nhanno bisogno di più spazio, aprono nuovi microtainer. Li distribuiamo in modo uniforme. Ogni microtainer contiene al massimo\n150 µl di biomarcatori singoli. Un biomarcatore che richiede più di 150 µl in un proprio microtainer non\nentra mai, e lo stesso vale per un biomarcatore senza un volume configurato. Se il set risultante viola questa regola,\nla chiamata restituisce `,_jsx(_components.code,{children:`400`}),` con un messaggio `,_jsx(_components.code,{children:`error`}),` e non viene salvato nulla.`]}),`\n`,_jsx(_components.p,{children:`Questa chiamata è idempotente: i biomarcatori già presenti nell’appuntamento vengono mantenuti.`}),`\n`,_jsxs(_components.p,{children:[`Richiede gli scope `,_jsx(_components.code,{children:`appointments_schedule`}),` e `,_jsx(_components.code,{children:`schedule_appointments_with_individual_biomarker_selection`}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Non è possibile aggiungere biomarcatori dopo aver chiamato `,_jsx(_components.a,{href:`/it/api/appointments/confirm-blood-draw`,children:`Conferma prelievo di\nsangue`}),`. Il tentativo di modificare un appuntamento confermato restituisce\n`,_jsx(_components.code,{children:`409 Conflict`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`richiesta`,children:`Richiesta`}),`\n`,_jsx(Heading,{level:`3`,id:`parametri-di-percorso`,children:`Parametri di percorso`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Identificatore univoco (UUID) dell’appuntamento.`})}),`\n`,_jsx(Heading,{level:`3`,id:`parametri-del-body`,children:`Parametri del body`}),`\n`,_jsx(ParamField,{body:`biomarker_ids`,type:`number[]`,required:true,id:`param-biomarker-ids`,children:_jsxs(_components.p,{children:[`Array di ID dei biomarcatori da aggiungere. Deve contenere almeno un elemento. Usa `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco\nbiomarcatori`}),` per trovare gli ID.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`risposta`,children:`Risposta`}),`\n`,_jsxs(_components.p,{children:[`In caso di successo, l’API restituisce `,_jsx(_components.code,{children:`200 OK`}),` a conferma che i biomarcatori sono stati aggiunti.`]}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` quando i biomarcatori sono stati aggiunti correttamente all’appuntamento.`]})}),`\n`,_jsxs(Heading,{level:`3`,id:`come-leggere-un-400`,children:[`Come leggere un `,_jsx(_components.code,{children:`400`})]}),`\n`,_jsxs(_components.p,{children:[`Ogni `,_jsx(_components.code,{children:`400`}),` di validazione della chiusura o di catalogo contiene una frase in `,_jsx(_components.code,{children:`message`}),`. Un `,_jsx(_components.code,{children:`400`}),` di validazione del body o\ndei microtainer contiene solo `,_jsx(_components.code,{children:`error`}),`. Dirama la logica su `,_jsx(_components.code,{children:`error`}),`. In caso di\nerrore di validazione della chiusura, `,_jsx(_components.code,{children:`error`}),` è una frase. In caso di errore di catalogo, `,_jsx(_components.code,{children:`error`}),` è un codice macchina:\n`,_jsx(_components.code,{children:`biomarker_not_priced`}),` o `,_jsx(_components.code,{children:`biomarker_requires_position`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Validazione della chiusura`}),` — il set non può essere ordinato in modo valido presso alcun laboratorio:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`validation.failures[]`}),` — presente solo negli errori di validazione della chiusura (assente nei semplici\nerrori di validazione del body). Una voce per ogni gruppo di biomarcatori che nessun laboratorio può gestire, con i\n`,_jsx(_components.code,{children:`biomarker_ids`}),` non validi e `,_jsx(_components.code,{children:`fix_options[]`}),`, a partire dall’opzione più piccola. Il campo\n`,_jsx(_components.code,{children:`add_biomarkers`}),` (`,_jsx(_components.code,{children:`{ id, name }`}),`) di ogni opzione è un set da aggiungere TUTTO — mantieni quelli originali, aggiungi questi e\nriprova. Un `,_jsx(_components.code,{children:`fix_options`}),` vuoto significa che nessuna aggiunta risolve il problema; rimuovi invece il biomarcatore.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarcatore senza prezzo`}),` — Aniva non ha definito un prezzo per questo biomarcatore. `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco\nbiomarcatori`}),` lo riporta con `,_jsx(_components.code,{children:`price_cents: null`}),`, oppure lo omette quando\nè un rapporto con un componente senza prezzo. `,_jsx(_components.code,{children:`error`}),` è `,_jsx(_components.code,{children:`biomarker_not_priced`}),` e `,_jsx(_components.code,{children:`biomarker_id`}),` indica\nil marcatore. Nessun altro biomarcatore risolve questo errore, quindi rimuovi il biomarcatore. Due condizioni rendono un\nbiomarcatore ordinabile: un laboratorio a cui Aniva può instradare l’ordine deve fornirlo `,_jsx(_components.strong,{children:`e`}),` il catalogo Aniva deve definirne il\nprezzo.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarcatore vincolato`}),` — un biomarcatore venduto solo all’interno di una posizione, senza una posizione che lo copra nel\nset. `,_jsx(_components.code,{children:`error`}),` è `,_jsx(_components.code,{children:`biomarker_requires_position`}),`, `,_jsx(_components.code,{children:`biomarker_id`}),` indica il marcatore e `,_jsx(_components.code,{children:`positions[]`}),`\nelenca tutte le posizioni che lo vendono, dalla più economica. Aggiungi tutti i biomarcatori di una di esse. Vedi\n`,_jsx(_components.a,{href:`/it/concepts/pricing`,children:`Prezzi`}),` per il modello e `,_jsx(_components.code,{children:`pricing.positions`}),` in `,_jsx(_components.a,{href:`/it/api/biomarkers/get-biomarker`,children:`Ottieni\nbiomarcatore`}),` per l’intero set di elementi di una posizione.`]}),`\n`,_jsx(Heading,{level:`2`,id:`risposte-di-errore`,children:`Risposte di errore`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Stato`}),_jsx(_components.th,{children:`Descrizione`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`biomarker_ids`}),` vuoto / non intero, il set non supera la validazione della chiusura (`,_jsx(_components.code,{children:`validation.failures`}),`), aggiunge un biomarcatore per cui Aniva non ha definito un prezzo (`,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`), contiene un biomarcatore vincolato non coperto da alcuna posizione nel set (`,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),`), oppure, in un prelievo capillare, i biomarcatori non entrano nei rispettivi microtainer.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Forbidden — scope mancante o appuntamento al di fuori del contesto di accesso.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Appuntamento o uno o più biomarcatori non trovati.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:`Conflict — non è possibile modificare i biomarcatori dopo la conferma del prelievo di sangue.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Errore interno del server.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Aggiungi singoli biomarcatori","description":"Aggiungi singoli biomarcatori a un appuntamento","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/it/api/appointments/add-individual-biomarkers"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Aggiungi uno o più biomarcatori singoli a un appuntamento come test à la carte, al di fuori di qualsiasi\npannello predefinito. Le decisioni di instradamento vengono prese a valle dalla pipeline di logistica degli ordini in base\nalle mappature per laboratorio di ciascun biomarcatore.`}),`\n`,_jsxs(_components.p,{children:[`Il set risultante viene convalidato in modo sincrono rispetto alle regole di chiusura di ciascun laboratorio. Alcuni biomarcatori\npossono essere ottenuti solo ordinandoli insieme ad altri — un rapporto LDL/HDL, per esempio, viene\nfornito da un ordine che restituisce anche LDL e HDL, quindi richiedere il rapporto da solo non è un\nordine coerente. (Questi stessi componenti determinano il `,_jsx(_components.em,{children:`prezzo`}),` del rapporto — vedi il dettaglio `,_jsx(_components.code,{children:`pricing`}),`\nin `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco biomarcatori`}),`.) Quando il set non può essere ordinato\nin modo valido, la chiamata restituisce `,_jsx(_components.code,{children:`400`}),` con un payload `,_jsx(_components.code,{children:`validation`}),` e `,_jsx(_components.strong,{children:`non viene salvato nulla`}),`, così puoi\nprocedere per tentativi fino a ottenere un set valido:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45] }`}),` (solo rapporto LDL/HDL) → `,_jsx(_components.code,{children:`400`}),`;\n`,_jsx(_components.code,{children:`validation.failures[].fix_options[].add_biomarkers`}),` elenca LDL e HDL.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45, 43, 42] }`}),` (rapporto + LDL + HDL) → `,_jsx(_components.code,{children:`200`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Lo stesso ciclo riguarda i biomarcatori che Aniva vende solo all’interno di una posizione: richiedine uno da solo e la chiamata\nrestituisce `,_jsx(_components.code,{children:`400`}),` con `,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),` e le posizioni che lo vendono. Vedi\n`,_jsx(_components.a,{href:`/it/concepts/pricing`,children:`Prezzi`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco biomarcatori`}),` riporta alcuni biomarcatori con `,_jsx(_components.code,{children:`price_cents: null`}),`.\nQuesti biomarcatori sono `,_jsx(_components.strong,{children:`non configurati`}),`: Aniva non ha definito un prezzo per loro. Se ne aggiungi uno, la chiamata restituisce\n`,_jsx(_components.code,{children:`400`}),` con `,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`. Nessun altro biomarcatore risolve questo errore, perché `,_jsx(_components.code,{children:`null`}),`\nsignifica che non hai un prezzo a cui acquistare il marcatore. I marcatori dei kit fanno eccezione. Collega il pannello\nche rappresenta il kit e i suoi elementi vengono inclusi nel pannello. La chiamata accetta anche un elemento che aggiungi a\nun appuntamento che include già quel pannello.`]}),`\n`,_jsxs(_components.p,{children:[`In un prelievo capillare (`,_jsx(_components.code,{children:`draw_method: capillary`}),`), il prelievo viene suddiviso in microtainer. I pannelli vanno per primi, in\nordine di prenotazione. I biomarcatori singoli riempiono poi lo spazio libero dei microtainer dei pannelli. Quando\nhanno bisogno di più spazio, aprono nuovi microtainer. Li distribuiamo in modo uniforme. Ogni microtainer contiene al massimo\n150 µl di biomarcatori singoli. Un biomarcatore che richiede più di 150 µl in un proprio microtainer non\nentra mai, e lo stesso vale per un biomarcatore senza un volume configurato. Se il set risultante viola questa regola,\nla chiamata restituisce `,_jsx(_components.code,{children:`400`}),` con un messaggio `,_jsx(_components.code,{children:`error`}),` e non viene salvato nulla.`]}),`\n`,_jsx(_components.p,{children:`Questa chiamata è idempotente: i biomarcatori già presenti nell’appuntamento vengono mantenuti.`}),`\n`,_jsxs(_components.p,{children:[`Richiede gli scope `,_jsx(_components.code,{children:`appointments_schedule`}),` e `,_jsx(_components.code,{children:`schedule_appointments_with_individual_biomarker_selection`}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Non è possibile aggiungere biomarcatori dopo aver chiamato `,_jsx(_components.a,{href:`/it/api/appointments/confirm-blood-draw`,children:`Conferma prelievo di\nsangue`}),`. Il tentativo di modificare un appuntamento confermato restituisce\n`,_jsx(_components.code,{children:`409 Conflict`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`richiesta`,children:`Richiesta`}),`\n`,_jsx(Heading,{level:`3`,id:`parametri-di-percorso`,children:`Parametri di percorso`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Identificatore univoco (UUID) dell’appuntamento.`})}),`\n`,_jsx(Heading,{level:`3`,id:`parametri-del-body`,children:`Parametri del body`}),`\n`,_jsx(ParamField,{body:`biomarker_ids`,type:`number[]`,required:true,id:`param-biomarker-ids`,children:_jsxs(_components.p,{children:[`Array di ID dei biomarcatori da aggiungere. Deve contenere almeno un elemento. Usa `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco\nbiomarcatori`}),` per trovare gli ID.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`risposta`,children:`Risposta`}),`\n`,_jsxs(_components.p,{children:[`In caso di successo, l’API restituisce `,_jsx(_components.code,{children:`200 OK`}),` a conferma che i biomarcatori sono stati aggiunti.`]}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` quando i biomarcatori sono stati aggiunti correttamente all’appuntamento.`]})}),`\n`,_jsxs(Heading,{level:`3`,id:`come-leggere-un-400`,children:[`Come leggere un `,_jsx(_components.code,{children:`400`})]}),`\n`,_jsxs(_components.p,{children:[`Ogni `,_jsx(_components.code,{children:`400`}),` di validazione della chiusura o di catalogo contiene una frase in `,_jsx(_components.code,{children:`message`}),`. Un `,_jsx(_components.code,{children:`400`}),` di validazione del body o\ndei microtainer contiene solo `,_jsx(_components.code,{children:`error`}),`. Dirama la logica su `,_jsx(_components.code,{children:`error`}),`. In caso di\nerrore di validazione della chiusura, `,_jsx(_components.code,{children:`error`}),` è una frase. In caso di errore di catalogo, `,_jsx(_components.code,{children:`error`}),` è un codice macchina:\n`,_jsx(_components.code,{children:`biomarker_not_priced`}),` o `,_jsx(_components.code,{children:`biomarker_requires_position`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Validazione della chiusura`}),` — il set non può essere ordinato in modo valido presso alcun laboratorio:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`validation.failures[]`}),` — presente solo negli errori di validazione della chiusura (assente nei semplici\nerrori di validazione del body). Una voce per ogni gruppo di biomarcatori che nessun laboratorio può gestire, con i\n`,_jsx(_components.code,{children:`biomarker_ids`}),` non validi e `,_jsx(_components.code,{children:`fix_options[]`}),`, a partire dall’opzione più piccola. Il campo\n`,_jsx(_components.code,{children:`add_biomarkers`}),` (`,_jsx(_components.code,{children:`{ id, name }`}),`) di ogni opzione è un set da aggiungere TUTTO — mantieni quelli originali, aggiungi questi e\nriprova. Un `,_jsx(_components.code,{children:`fix_options`}),` vuoto significa che nessuna aggiunta risolve il problema; rimuovi invece il biomarcatore.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarcatore senza prezzo`}),` — Aniva non ha definito un prezzo per questo biomarcatore. `,_jsx(_components.a,{href:`/it/api/biomarkers/list-biomarkers`,children:`Elenco\nbiomarcatori`}),` lo riporta con `,_jsx(_components.code,{children:`price_cents: null`}),`, oppure lo omette quando\nè un rapporto con un componente senza prezzo. `,_jsx(_components.code,{children:`error`}),` è `,_jsx(_components.code,{children:`biomarker_not_priced`}),` e `,_jsx(_components.code,{children:`biomarker_id`}),` indica\nil marcatore. Nessun altro biomarcatore risolve questo errore, quindi rimuovi il biomarcatore. Due condizioni rendono un\nbiomarcatore ordinabile: un laboratorio a cui Aniva può instradare l’ordine deve fornirlo `,_jsx(_components.strong,{children:`e`}),` il catalogo Aniva deve definirne il\nprezzo.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarcatore vincolato`}),` — un biomarcatore venduto solo all’interno di una posizione, senza una posizione che lo copra nel\nset. `,_jsx(_components.code,{children:`error`}),` è `,_jsx(_components.code,{children:`biomarker_requires_position`}),`, `,_jsx(_components.code,{children:`biomarker_id`}),` indica il marcatore e `,_jsx(_components.code,{children:`positions[]`}),`\nelenca tutte le posizioni che lo vendono, dalla più economica. Aggiungi tutti i biomarcatori di una di esse. Vedi\n`,_jsx(_components.a,{href:`/it/concepts/pricing`,children:`Prezzi`}),` per il modello e `,_jsx(_components.code,{children:`pricing.positions`}),` in `,_jsx(_components.a,{href:`/it/api/biomarkers/get-biomarker`,children:`Ottieni\nbiomarcatore`}),` per l’intero set di elementi di una posizione.`]}),`\n`,_jsx(Heading,{level:`2`,id:`risposte-di-errore`,children:`Risposte di errore`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Stato`}),_jsx(_components.th,{children:`Descrizione`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`biomarker_ids`}),` vuoto / non intero, il set non supera la validazione della chiusura (`,_jsx(_components.code,{children:`validation.failures`}),`), aggiunge un biomarcatore per cui Aniva non ha definito un prezzo (`,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`), contiene un biomarcatore vincolato non coperto da alcuna posizione nel set (`,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),`), oppure, in un prelievo capillare, i biomarcatori non entrano nei rispettivi microtainer.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Forbidden — scope mancante o appuntamento al di fuori del contesto di accesso.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Appuntamento o uno o più biomarcatori non trovati.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:`Conflict — non è possibile modificare i biomarcatori dopo la conferma del prelievo di sangue.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Errore interno del server.`})]})]})]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` PATCH`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a/biomarkers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'x-api-key: YOUR_API_KEY'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"biomarker_ids\": [45, 43, 42]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (closure validation)`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"failures\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`45`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fix_options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"add_biomarkers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`43`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL Cholesterol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`42`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"HDL Cholesterol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (biomarker Aniva has not priced)`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"biomarker_not_priced\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1465`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (biomarker sold only inside a position)`,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"biomarker_requires_position\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Blood Count (extended)`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`77`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"positions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Blood Count (extended)\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_cents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`460`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"retail_cents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`529`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (capillary, does not fit)`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`409`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Individual biomarkers cannot be modified after blood draw has been confirmed\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Biomarkers not found: 99999\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Aggiungi singoli biomarcatori","description":"Aggiungi singoli biomarcatori a un appuntamento","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/it/api/appointments/add-individual-biomarkers"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Richiesta","slug":"richiesta","depth":2,"children":[{"title":"Parametri di percorso","slug":"parametri-di-percorso","depth":3,"children":[]},{"title":"Parametri del body","slug":"parametri-del-body","depth":3,"children":[]}]},{"title":"Risposta","slug":"risposta","depth":2,"children":[{"title":"Come leggere un 400","slug":"come-leggere-un-400","depth":3,"children":[]}]},{"title":"Risposte di errore","slug":"risposte-di-errore","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> PATCH\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --url\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a/biomarkers\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'x-api-key: YOUR_API_KEY'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"biomarker_ids\": [45, 43, 42]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (closure validation)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"validation\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"failures\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">45\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"fix_options\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"add_biomarkers\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">43\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL Cholesterol\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">42\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"HDL Cholesterol\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (biomarker Aniva has not priced)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"biomarker_not_priced\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1465\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (biomarker sold only inside a position)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"biomarker_requires_position\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\">\\\"\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">Blood Count (extended)\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\">\\\"\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">77\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"positions\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Blood Count (extended)\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"price_cents\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">460\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"retail_cents\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">529\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (capillary, does not fit)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"409","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Individual biomarkers cannot be modified after blood draw has been confirmed\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"404","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Biomarkers not found: 99999\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Aggiungi singoli biomarcatori","path":"/api/v1/appointments/{id}/biomarkers","servers":[{"url":"https://anivahealth.com"}],"method":"patch","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"x-api-key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"Identificatore univoco (UUID) dell’appuntamento.","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"biomarker_ids":[{"type":"array","items":[{"type":"number"}],"description":"Array di ID dei biomarcatori da aggiungere. Deve contenere almeno un elemento. Usa Elenco biomarcatori per trovare gli ID.","required":true}]}}],"examples":{"example":{"value":{"biomarker_ids":[123]}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"success":[{"type":"boolean","description":"`true` quando i biomarcatori sono stati aggiunti correttamente all’appuntamento."}]}}],"examples":{"example":{"value":{"success":true}}}}}},"deprecated":false}},"jsLinks":["/_mintlify/custom/anivahealth/5d0d870ff743f803/video-zoom.js"],"subdomain":"anivahealth","siteName":"Aniva API","title":"Aggiungi singoli biomarcatori - Aniva API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api/appointments/add-individual-biomarkers","matchLevel":1},"de":{"href":"/de/api/appointments/add-individual-biomarkers","matchLevel":1},"ca":{"href":"/ca/api/appointments/add-individual-biomarkers","matchLevel":1},"cs":{"href":"/cs/api/appointments/add-individual-biomarkers","matchLevel":1},"da":{"href":"/da/api/appointments/add-individual-biomarkers","matchLev
[...]
